<template>
  <div>
    <div class="tutorForm">
      <h2>Создание нового преподавателя</h2>
      <input
        type="text"
        v-model="tutorFirstName"
        placeholder="Введите имя"
        class="firstName"
      />
      <input
        type="text"
        v-model="tutorLastName"
        placeholder="Введите фамилию"
        class="secondName"
      />
      <input
        type="text"
        v-model="tutorPatronymic"
        placeholder="Введите отчество"
        class="patronymicName"
      />
      <button class="createButton" @click="this.create">Создать</button>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "TutorForm",
  data() {
    return {
      tutorFirstName: null,
      tutorLastName: null,
      tutorPatronymic: null,
      url: String(process.env.VUE_APP_API_URL)
    };
  },
  methods: {
    create() {
      axios
        .post(this.url + "tutor/", {
          firstName: this.tutorFirstName,
          lastName: this.tutorLastName,
          patronymic: this.tutorPatronymic,
        })
        .then(() => {
          this.$emit("onCreate");
          this.tutorFirstName = null;
          this.tutorLastName = null;
          this.tutorPatronymic = null;
        });
    },
  },
};
</script>

<style scoped>
.firstName,
.secondName,
.patronymicName {
  border-radius: 5px;
  width: 300px;
  height: 25px;
  margin-right: 10px;
  margin-bottom: 10px;
}

.createButton {
  height: 30px;
  border-radius: 5px;
  background: lightgreen;
  color: black;
}

.tutorForm {
  max-width: 370px;
}
</style>
